/*
---

name: Youjoomla Mouseover Effect

description: allows mouseover/out effects on image stories

author: Youjoomla

license: This file is NOT licensed under any BSD or MIT style license.
         Unauthorised use, editing, distribution is not allowed.

copyright: Youjoomla.com 2012

version: 1.0

requires:
  - Core/String
  - Core/Fx
  - Core/Event
  - Core/Element
  - Core/Array
  - Core/Class
  - ScaleCSS3

provides: MooverEffect

...
*/

window.addEvent("load", function() {
  var el = $$('.yj_effect_holder');
  var holder = $$('.catItemImageBlock,.itemImageBlock');
  el.each(function (el) {
  var get_image = el.getElement('img');
  var get_height = get_image.getSize().y;
  holder.setStyle('height',get_height);
    var fx = new Fx.Morph(el, {
      duration: 500,
      'link': 'cancel'
    });
    el.addEvents({
      mouseenter: function () {
		  //alert(el_height);
        fx.start({
		  'opacity':[1,0.5],
          'margin-top': -28
        });
      },
      mouseleave: function () {
        fx.start({
		  'opacity':[0.5,1], 	
          'margin-top': 0
        });
      }
    });
  });


var el = $$('a.subCategoryImage img,a.moduleItemImage,.itemAuthorAvatar');	
	el.each(function (el){
var fx = new Fx.Morph(el, {
	duration: 500,
	'link': 'cancel'
   });
   el.addEvents({
	   mouseenter:function () {
		   fx.start({
				'opacity': [1,0.5]
		   });
	   },
	   mouseleave: function (){
		   fx.start({
			   'opacity': [0.5,1]
		   })
	   }
   });
  });
});